View unanswered posts | View active topics It is currently Thu Oct 02, 2014 12:55 pm






Reply to topic  [ 3 posts ] 
Allowed RobotC version for 2014-2015 FTC season 
Author Message
Rookie

Joined: Thu Jun 05, 2014 11:45 pm
Posts: 2
Post Allowed RobotC version for 2014-2015 FTC season
EV3 is not allowed for 2014-2015 FTC season. So we could in theory use version 3.x. We do not have any version of RobotC right now. Do we know that RobotC version 4.x is allowed for 2014-2015? If it is not allowed, does the purchase of Version 4.x allow us to also run version 3.x? Any guidance on what to version to buy? We would like to be a 6 seat - perpetual version.

Thanks.


Thu Jun 05, 2014 11:56 pm
Profile
Rookie
User avatar

Joined: Wed Jan 09, 2013 11:48 pm
Posts: 39
Location: Saint Paul, MN
Post Re: Allowed RobotC version for 2014-2015 FTC season
As of the 2013-2014 manual, this is the official ruling on NXT firmware:
Quote:
<RS03> Programming for the FIRST Tech Challenge must be done with an approved programming language, using MANDATORY FTC Competition Templates, and corresponding firmware. Approved programming languages are:
a. ROBOTC version 3.0 or later (firmware version 9.0 or later)
b. LabVIEW for LEGO MINDSTORMS 2012 (LVLM 2012) (NXT Firmware version 1.31 or later)

Note the 3.0 or later.

I would like to assume this would not change, but you can't be positive until next season. I would also check the FTC forums (hosted by First I believe). Also, I do not believe a 4.x license allows you to download 3.x, for a 3.x license doesn't allow me to get 2.x. Also keep in mind that 4.x is still in beta, are you sure you want to compete with that? Best of luck to you guys!

_________________
Head Programmer FTC Team 6699, Tempest

Code:
<Life>
   Fun
</Life>


Mon Jun 09, 2014 8:07 am
Profile WWW
Rookie

Joined: Thu Jun 05, 2014 11:45 pm
Posts: 2
Post Re: Allowed RobotC version for 2014-2015 FTC season
I also sent in a question to RobotC customer service. I'll post their answer here:

The FIRST Tech Challenge competition will allow both ROBOTC 3.X and ROBOTC 4.X to be used next season. It's up to the team which version they'd like to use.

Robomatter/ROBOTC only have ROBOTC 4.X licenses available as that is the current product version - you can, however, use a 4.X license to activate your ROBOTC 3.X installation -which allows you to use the older software for competition, but continue to use the newer software if you have EV3 robots.

Sincerely,
Roberta
Robomatter, Inc.


Tue Jun 10, 2014 10:22 am
Profile
Display posts from previous:  Sort by  
Reply to topic   [ 3 posts ] 

Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  



Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group.
Designed by ST Software for PTF.